# @(#)font.properties	0.1 25 July 1997
#
#  (c) Sergei O. Naumov (serge@astro.unc.edu)
#
# AWT Font default Properties for Solaris with KOI8-R
# fonts
#

#
# Serif font definition: these are usually Times
#
serif.plain.0=-cronyx-times-medium-r-normal--*-%d-*-*-p-*-koi8-r
serif.italic.0=-cronyx-times-medium-i-normal--*-%d-*-*-p-*-koi8-r
serif.bold.0=-cronyx-times-bold-r-normal--*-%d-*-*-p-*-koi8-r
serif.bolditalic.0=-cronyx-times-bold-i-normal--*-%d-*-*-p-*-koi8-r
#
# SansSerif font definition: usually Helvetica
#
sansserif.plain.0=-cronyx-helvetica-medium-r-normal-sans-*-%d-*-*-p-*-koi8-r
sansserif.italic.0=-cronyx-helvetica-medium-o-normal-sans-*-%d-*-*-p-*-koi8-r
sansserif.bold.0=-cronyx-helvetica-bold-r-normal-sans-*-%d-*-*-p-*-koi8-r
sansserif.bolditalic.0=-cronyx-helvetica-bold-o-normal-sans-*-%d-*-*-p-*-koi8-r
#
# Monospaced font definition: usually Couorier
#
monospaced.plain.0=-cronyx-courier-medium-r-normal--*-%d-*-*-m-*-koi8-r
monospaced.italic.0=-cronyx-courier-medium-o-normal--*-%d-*-*-m-*-koi8-r
monospaced.bold.0=-cronyx-courier-bold-r-normal--*-%d-*-*-m-*-koi8-r
monospaced.bolditalic.0=-cronyx-courier-bold-o-normal--*-%d-*-*-m-*-koi8-r
#
# Dialog font definition: it might be set to Helvetica also
# In fact, some people would like helvetica more
#
dialog.plain.0=-cronyx-courier-medium-r-normal--*-%d-*-*-m-*-koi8-r
dialog.italic.0=-cronyx-courier-medium-o-normal--*-%d-*-*-m-*-koi8-r
dialog.bold.0=-cronyx-courier-bold-r-normal--*-%d-*-*-m-*-koi8-r
dialog.bolditalic.0=-cronyx-courier-bold-o-normal--*-%d-*-*-m-*-koi8-r
#
# DialogInput font definition: same as above but Courier might be
# better
#
dialoginput.plain.0=-cronyx-courier-medium-r-normal--*-%d-*-*-m-*-koi8-r
dialoginput.italic.0=-cronyx-courier-medium-o-normal--*-%d-*-*-m-*-koi8-r
dialoginput.bold.0=-cronyx-courier-bold-r-normal--*-%d-*-*-m-*-koi8-r
dialoginput.bolditalic.0=-cronyx-courier-bold-o-normal--*-%d-*-*-m-*-koi8-r

# Default font definition
#
default.char=274f

# name aliases: need them for backward compatibility.
#
alias.timesroman=serif
alias.helvetica=sansserif
alias.courier=monospaced

# for backward compatibility
timesroman.plain.0=-cronyx-times-medium-r-normal--*-%d-*-*-p-*-koi8-r
timesroman.italic.0=-cronyx-times-medium-i-normal--*-%d-*-*-p-*-koi8-r
timesroman.bold.0=-cronyx-times-bold-r-normal--*-%d-*-*-p-*-koi8-r
timesroman.bolditalic.0=-cronyx-times-bold-i-normal--*-%d-*-*-p-*-koi8-r
#
helvetica.plain.0=-cronyx-helvetica-medium-r-normal-sans-*-%d-*-*-p-*-koi8-r
helvetica.italic.0=-cronyx-helvetica-medium-o-normal-sans-*-%d-*-*-p-*-koi8-r
helvetica.bold.0=-cronyx-helvetica-bold-r-normal-sans-*-%d-*-*-p-*-koi8-r
helvetica.bolditalic.0=-cronyx-helvetica-bold-o-normal-sans-*-%d-*-*-p-*-koi8-r
#
courier.plain.0=-cronyx-courier-medium-r-normal--*-%d-*-*-m-*-koi8-r
courier.italic.0=-cronyx-courier-medium-o-normal--*-%d-*-*-m-*-koi8-r
courier.bold.0=-cronyx-courier-bold-r-normal--*-%d-*-*-m-*-koi8-r
courier.bolditalic.0=-cronyx-courier-bold-o-normal--*-%d-*-*-m-*-koi8-r
#
zapfdingbats.0=-urw-itc zapfdingbats-medium-r-normal--*-%d-*-*-p-*-sun-fontspecific

# Static FontCharset info.
# Because most fonts are not Unicode, Unicode strings must be
# converted to local fonts. This defines what will perform the
# conversion. I am writing a package koi8 that will have all
# things inside
#
fontcharset.serif.0=koi8.converter.CharToByteKOI8_R 
fontcharset.sansserif.0=koi8.converter.CharToByteKOI8_R
fontcharset.monospaced.0=koi8.converter.CharToByteKOI8_R
fontcharset.dialog.0=koi8.converter.CharToByteKOI8_R
fontcharset.dialoginput.0=sun.io.CharToByteKOI8_R

fontcharset.zapfdingbats.0=CharToByte8859_1


# XFontSet string
# X11 only properties
#

fontset.serif.plain=\
-cronyx-times-medium-r-normal--*-%d-*-*-p-*-koi8-r

fontset.serif.italic=\
-cronyx-times-medium-i-normal--*-%d-*-*-p-*-koi8-r

fontset.serif.bold=\
-cronyx-times-bold-r-normal--*-%d-*-*-p-*-koi8-r

fontset.serif.bolditalic=\
-cronyx-times-bold-i-normal--*-%d-*-*-p-*-koi8-r

fontset.sansserif.italic=\
-cronyx-helvetica-medium-o-normal-sans-*-%d-*-*-p-*-koi8-r
 
fontset.sansserif.bold=\
-cronyx-helvetica-bold-r-normal-sans-*-%d-*-*-p-*-koi8-r
 
fontset.sansserif.bolditalic=\
-cronyx-helvetica-bold-o-normal-sans-*-%d-*-*-p-*-koi8-r
 
fontset.sansserif.plain=\
-cronyx-helvetica-medium-r-normal-sans-*-%d-*-*-p-*-koi8-r

fontset.monospaced.italic=\
-cronyx-courier-medium-o-normal--*-%d-*-*-m-*-koi8-r
 
fontset.monospaced.bold=\
-cronyx-courier-bold-r-normal--*-%d-*-*-m-*-koi8-r
 
fontset.monospaced.bolditalic=\
-cronyx-courier-bold-o-normal--*-%d-*-*-m-*-koi8-r
 
fontset.monospaced.plain=\
-cronyx-courier-medium-r-normal--*-%d-*-*-m-*-koi8-r

fontset.dialog.italic=\
-cronyx-helvetica-medium-i-normal-sans-*-%d-*-*-p-*-koi8-r
 
fontset.dialog.bold=\
-cronyx-helvetica-bold-r-normal-sans-*-%d-*-*-p-*-koi8-r
 
fontset.dialog.bolditalic=\
-cronyx-helvetica-medium-i-normal-sans-*-%d-*-*-p-*-koi8-r
 
fontset.dialog.plain=\
-cronyx-helvetica-medium-r-normal-sans-*-%d-*-*-p-*-koi8-r
 
fontset.dialoginput.italic=\
-cronyx-helvetica-medium-r-normal-sans-*-%d-*-*-m-*-koi8-r
 
fontset.dialoginput.bold=\
-cronyx-helvetica-bold-r-normal-sans-*-%d-*-*-m-*-koi8-r
 
fontset.dialoginput.bolditalic=\
-cronyx-helvetica-bold-r-normal-sans-*-%d-*-*-m-*-koi8-r
 
fontset.dialoginput.plain=\
-cronyx-helvetica-medium-r-normal-sans-*-%d-*-*-m-*-koi8-r

fontset.zapfdingbats=\
-urw-itc zapfdingbats-medium-r-normal--*-%d-*-*-p-*-sun-fontspecific

#
fontset.default=\
-cronyx-lucida sans-medium-r-normal-sans-*-%d-*-*-p-*-koi8-r
#
